package messageThreadRunnable;
// Define a worker task by implementing Runnable
 class Worker implements Runnable {
    public void run() {
        // Work that the thread should perform
        System.out.println("Thread is running using Runnable!");
    }
}

public class RunnableExample {
    public static void main(String[] args) {
        // Create a thread and give it the task (Worker)
        Thread t = new Thread(new Worker());

        // Start the thread — this invokes run() in a new thread
        t.start();

        // Main thread continues to run in parallel
        System.out.println("Main thread continues...");
    }
}

