package message;



/**
 * This class demonstrates a simple single-threaded program.
 * It creates two Message objects and prints their messages.
 */
public class Driver {
    public static void main(String[] args) {
        // Number of times each message should be printed
        int times = 100;

        // Create two Message objects with different messages
        Message msg1 = new Message("Hello", times);	
        Message msg2 = new Message("Bienvenidos", times);

        // Call print() on the first message
        // This runs to completion before the next line starts
        msg1.print();

        // After msg1.print() finishes, msg2.print() begins
        // Because this is a single-threaded program, the two prints happen one after another
        msg2.print();
    }
}

